aboutsummaryrefslogtreecommitdiff
path: root/aux/80-columns.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-09-02 14:46:44 -0300
committerEuAndreh <eu@euandre.org>2021-09-02 14:46:44 -0300
commit2928dfd8b367dfca3d09f7e1042bc1bcfbfba95e (patch)
treef22318623237d124eff6bfffee4b80f8abc1500b /aux/80-columns.sh
parentpo/LC_MESSAGES/{README,CHANGELOG}.en.md/: Add untranslate message files (diff)
downloadremembering-2928dfd8b367dfca3d09f7e1042bc1bcfbfba95e.tar.gz
remembering-2928dfd8b367dfca3d09f7e1042bc1bcfbfba95e.tar.xz
aux/80-columns.sh: Add file
Diffstat (limited to '')
-rwxr-xr-xaux/80-columns.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/aux/80-columns.sh b/aux/80-columns.sh
new file mode 100755
index 0000000..ae4660e
--- /dev/null
+++ b/aux/80-columns.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -eu
+
+# shellcheck disable=2068
+for f in ${@:-$(cat -)}; do
+ if [ "$(file -i "$f" | cut -d' ' -f2 | cut -d/ -f1)" = 'text' ]; then
+ sed 's/\t/ /g' "$f" |
+ awk -v FNAME="$f" 'length > 80 {
+ printf "%s:%s:%s\n", FNAME, NR, $0
+ }'
+ fi
+done